

from distutils.core import setup, Extension
import glob, sys, os, shutil


def Main():
    sys.argv = [ sys.argv[ 0 ], 'build' ]

    try:
        shutil.rmtree('build')
    except:
        pass

    setup(name='features', version='0.1',
        ext_modules=[ 
            Extension('_features', 
                glob.glob('features/*.cxx') + glob.glob('features/*.cpp'),
                include_dirs=['features'],
                libraries=[ 'gdiplus', 'ole32', 'shell32'],
            )],
        )

    outdir = os.path.join('..', 'out')
    try:
        shutil.rmtree(outdir)
    except:
        pass

    os.mkdir(outdir)

    for name in glob.glob('build/*/*.pyd'):
        shutil.copy(name, outdir)

    shutil.copy('features/features.py', outdir)
    shutil.copy('features/api.py', outdir)
    shutil.copy('demo.py', outdir)
    shutil.copy('demo.png', outdir)
    shutil.copy('client.fla', outdir)
    shutil.copy('client.swf', outdir)
    shutil.copy('readme.txt', outdir)


if ( __name__ == "__main__" ):
    Main()

